Skip to main content

Verify an address

POST 

/v2/email/validate

Runs the checks enabled on the key and returns the verdict (result), the score (0 to 100) and the details of each check in features.

  • Always responds 200 when the verification completes, whatever the verdict.
  • SMTP runs if, and only if, the key has it enabled. Allow a 30 s client timeout in that case.
  • A check disabled on the key is absent from features. syntax and dns are always present.
  • Limit: 100 requests per minute per IP.

Request​

Responses​

Verification completed.

Response Headers
    RateLimit-Limit

    Requests allowed in the window.

    RateLimit-Remaining

    Requests remaining in the window.

    RateLimit-Reset

    Seconds until the window resets.